Subject: Re: [syzbot] KASAN: slab-out-of-bounds Read in lock_sock_nested

From: syzbot <[email-masked]>
Date: Wed, 24 Nov 2021 13:19:13 -0800

syzbot suspects this issue was fixed by commit:

commit c5e0321e43deed0512b34d8d8d40a16c0e22b541
Author: Leon Romanovsky <[email-masked]>
Date:   Tue Oct 26 19:40:42 2021 +0000

    Revert "devlink: Remove not-executed trap policer notifications"

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=10f87adeb00000
start commit:   a409ed156a90 Merge tag 'gpio-v5.11-1' of git://git.kernel...
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=20efebc728efc8ff
dashboard link: https://syzkaller.appspot.com/bug?extid=9a0875bc1b2ca466b484
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=10a4445b500000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: Revert "devlink: Remove not-executed trap policer notifications"

For information about bisection process see: https://goo.gl/tpsmEJ#bisection